/* Copyright (c) 1997-2004
   Ewgenij Gawrilow, Michael Joswig (Technische Universitaet Berlin, Germany)
   http://www.math.tu-berlin.de/polymake,  mailto:polymake@math.tu-berlin.de

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any
   later version: http://www.gnu.org/licenses/gpl.txt.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   $Project: polymake $$Id: navigation_DOM.js 4952 2004-08-24 15:28:43Z gawrilow $
*/

//  Netscape 6, Mozilla

function winW(w) {
   return w.innerWidth;
}

function winH(w) {
   return w.innerHeight;
}

function winL(w) {
   return w.pageXOffset;
}

function winT(w) {
   return w.pageYOffset;
}

function mouseX(e) {
   return e.pageX;
}

function mouseY(e) {
   return e.pageY;
}

function relMouseX(e,w) {
   return e.pageX-w.pageXOffset;
}

function relMouseY(e,w) {
   return e.pageY-w.pageYOffset;
}

function gotoURL(w,URL) {
   w.location=URL;
}
